Package org.springframework.cache.interceptor

# Interface BasicOperation

All Known Implementing Classes:
  `CacheableOperation`, `CacheEvictOperation`, `CacheOperation`, `CachePutOperation`

public interface BasicOperation
The base interface that all cache operations must implement.

Since:
  4.1
Author:
  Stephane Nicoll

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getCacheNames()`
Return the cache name(s) associated with the operation.

## Method Details

### getCacheNames

Set<String> getCacheNames()
Return the cache name(s) associated with the operation.